/*****************************************************************************

		Copyright (c) My Company

 Project:  MYPROJ
 FileName: TREE.PRO
 Purpose: No description
 Written by: Visual Prolog
 Comments:
******************************************************************************/

include "myproj.inc"
include "myproj.con"
include "hlptopic.con"

%BEGIN_WIN Tree
/**************************************************************************
	Creation and event handling for window: "Tree"
**************************************************************************/

constants

%BEGIN Tree, CreateParms, 18:18:21-17.1.2007, Code automatically updated!
  win_tree_WinType = w_TopLevel
  win_tree_Flags = [wsf_SizeBorder,wsf_TitleBar,wsf_Maximize,wsf_Minimize,wsf_Close,wsf_ClipSiblings,wsf_ClipChildren]
  win_tree_RCT = rct(100,80,440,240)
  win_tree_Menu = no_menu
  win_tree_Title = "Tree"
  win_tree_Help = idh_contents
%END Tree, CreateParms

predicates

  win_tree_eh : EHANDLER

clauses

  win_tree_Create(_Parent):-
ifdef use_tree
	Tree = tree("0",unmarked,
		    [tree("3",unmarked,[],0),
		     tree("2",unmarked,
			  [tree("4",unmarked,[],0)],0),
		     tree("1",unmarked,[],0)
		    ],0),
	TreeDir = tree_dirright,
	Font = font_Create(ff_Fixed,[],10),
	TreeWinInfo = tree_WinInfo(Font,TreeDir,[]),
	tree_Create(win_tree_WinType,win_tree_RCT,win_tree_Title,
		win_tree_Menu,_Parent,win_tree_Flags,win_tree_eh,0,Tree,TreeWinInfo,[]),
enddef
	true.

%BEGIN Tree, e_Create
  win_tree_eh(_Win,e_Create(_),0):-!,
%BEGIN Tree, InitControls, 18:18:21-17.1.2007, Code automatically updated!
%END Tree, InitControls
%BEGIN Tree, ToolbarCreate, 18:18:21-17.1.2007, Code automatically updated!
%END Tree, ToolbarCreate
	!.
%END Tree, e_Create
%MARK Tree, new events

%BEGIN Tree, e_MouseUp
  win_tree_eh(_Win,e_MouseUp(_PNT,_ShiftCtlAlt,_Button),0):-!,
	SelectorText=tree_GetSelectedNode(_Win),
       dlg_Note("",SelectorText),
	!.
%END Tree, e_MouseUp

%BEGIN Tree, e_Size
  win_tree_eh(_Win,e_Size(_Width,_Height),0):-!,
ifdef use_tbar
	toolbar_Resize(_Win),
enddef
	!.
%END Tree, e_Size

%BEGIN Tree, e_Menu, Parent window 
  win_tree_eh(Win,e_Menu(ID,CAS),0):-!,
	PARENT = win_GetParent(Win),
	win_SendEvent(PARENT,e_Menu(ID,CAS)),
	!.
%END Tree, e_Menu, Parent window

%END_WIN Tree

